Subject: Re: bug#79024: 31.0.50; Multiple working trees support for VC

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Aug 2025 15:12:41 +0300

> From: Sean Whitton <[email-masked]>
> Cc: [email-masked],  [email-masked]
> Date: Sat, 16 Aug 2025 12:46:04 +0100
> 
> >   Checking in foo...
> >   abort: no username supplied
> >   (use 'hg config --edit' to set your username)
> 
> Looks like the problem is determining the committer identity.
> 
> I think the attached patch will fix this.  I've tested it locally and it
> does result in the test commits having the [email-masked] identity.
> Could you test it on Windows?  Thanks.

I guess I should test this together with the previous patch you sent
for vc-hg.el?

I still get a failure in that test, but a different one now:

  Test vc-test-hg07-other-working-trees condition:
      (ert-test-failed
       ((should (equal (list second) (vc-call-backend backend ...))) :form
	(equal ("c:/Users/EliZ/AppData/Local/Temp/vc-testQIJW1t/second/")
	       nil)
	:value nil :explanation
	(different-types
	 ("c:/Users/EliZ/AppData/Local/Temp/vc-testQIJW1t/second/") nil)))
     FAILED  32/56  vc-test-hg07-other-working-trees (0.592570 sec) at lisp/vc/vc-tests/vc-tests.el:1

HTH